%undefine __cmake_in_source_build
%global framework kplotting

Summary:        KDE Frameworks 5 Tier 1 addon for plotting
Name:           kf5-%{framework}
Version: 5.110.0
Release: 1%{?dist}
License:        GPLv2+ and LGPLv2+
URL:            https://invent.kde.org/frameworks/%{framework}
%global majmin %majmin_ver_kf5
%global stable %stable_kf5
Source0:        http://download.kde.org/%{stable}/frameworks/%{majmin}/%{framework}-%{version}.tar.xz

BuildRequires:  extra-cmake-modules >= %{majmin}, kf5-rpm-macros >= %{majmin}
BuildRequires:  pcre-devel, perl-interpreter
BuildRequires:  perl-interpreter

BuildRequires:  qt5-qtbase-devel, cmake(Qt5UiPlugin)

Requires:       kf5-filesystem >= %{majmin}

%description
KPlotting provides classes to do plotting.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       qt5-qtbase-devel
%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -n %{framework}-%{version}

%build
%{cmake_kf5}
%cmake_build

%install
%cmake_install

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license LICENSES/*.txt
%doc README.md
%{_kf5_libdir}/libKF5Plotting.so.*
%{_kf5_qtplugindir}/designer/kplotting5widgets.so

%files devel

%{_kf5_includedir}/KPlotting/
%{_kf5_libdir}/libKF5Plotting.so
%{_kf5_libdir}/cmake/KF5Plotting/
%{_kf5_archdatadir}/mkspecs/modules/qt_KPlotting.pri


%changelog
* Sat Nov 25 2023 Chair <chairou@tencent.com> - 5.110.0-1
- Init
